/* -------------------- grille Espace -------------------- */
.gallery-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  gap: 15px;
}

.gallery-card {
  background: #162b47;
  border-radius: 4px;
  padding: 8px;
  text-align: center;
  text-decoration: none;
}

.gallery-card img {
  border-radius: 8px;
  width: 100%;
  height: 160px;
  object-fit: cover;
}

.gallery-title {
  margin-top: 8px;
  font: 18px "MS Gothic", "Courier New", monospace;
  color: #ffffff;
  text-transform: uppercase;
}

.gallery-card:hover {
  box-shadow: 0 0 8px #fff;
}

.back-btn {
  display: inline-block;
  margin-bottom: 10px;
  padding: 6px 12px;
  background: #162b47;
  border: 1px solid #abeba5;
  color: #ffffff;
  text-decoration: none;
  font: 16px "MS Gothic", "Courier New", monospace;
}

.back-btn:hover {
  background: #abeba5;
  color: #121519;
}

.image-page {
  text-align: center;
}

.big-gallery-img {
  max-width: 100%;
  border: 1px solid #abeba5;
  margin: 15px 0;
}

/* -------------------- Galerie -------------------- */

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(140px, 1fr));
  gap: 15px;
}

.gallery-item {
  background: #162b47;
  border-radius: 4px;
  padding: 8px;
  text-align: center;
  text-decoration: none;
  color: #fff;
}

.gallery-item img {
  width: 100%;
  height: 140px;
  object-fit: contain;
  background: #121519;
  border: 1px solid rgba(255,255,255,0.4);
}

.gallery-title {
  margin-top: 8px;
  font: 14px "MS Gothic", "Courier New", monospace;
  text-transform: uppercase;
}

.gallery-item:hover {
  transform: scale(1.03);
}
/* LIGHTBOX */
#lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.9);
  display: none;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#lightbox img {
  max-width: 90%;
  max-height: 90%;
  border: 2px solid #ffffff;
  box-shadow: 0 0 20px #ABEBA5;
}

#close {
  position: absolute;
  top: 20px;
  right: 40px;
  font-size: 40px;
  color: white;
  cursor: pointer;
}

/* petit effet */
.gallery-item img {
  cursor: pointer;
  transition: transform 0.2s;
}

.gallery-item img:hover {
  transform: scale(1.05);
}




